# Clock Actions

## Round Started

### **Round Started Object**

| Field Name       | Type    | Description                                                                               |
| ---------------- | ------- | ----------------------------------------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                                                |
| eventElementType | string  | The event, in this case “FightStatusUpdate”                                               |
| fightStatus      | string  | The fight status, in this case, Round Started                                             |
| roundNum         | integer | The round number of the round that started                                                |
| roundTime        | string  | The time in which the round finished. “5:00” is the start and “0:00” the end of the round |
| seqNum           | integer | The sequence number of the event                                                          |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. The round stats will only appear when that particular round starts.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### **Sample Response**

```
{
  "eventElementType": "FightStatusUpdate",
  "fightStatus": "RoundStarted",
  "roundNum": 2,
  "roundTime": "5:00",
  "seqNum": 10,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      },
      "red": {
        "knockdown": 0,
        "reversal": 1,
        "submissionAttempt": 0,
        "takedownAttempt": 1,
        "takedownLanded": 0
      }
    },
    "round": {
      "1": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 1,
          "submissionAttempt": 0,
          "takedownAttempt": 1,
          "takedownLanded": 0
        }
      },
      "2": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        }
      }
    }
  },
  "timestamp": "2024-11-17T01:18:29.508357Z"
}
```

## Round Finished

### **Round Finished Object**

| Field Name       | Type    | Description                                                                               |
| ---------------- | ------- | ----------------------------------------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                                                |
| eventElementType | string  | The event, in this case “FightStatusUpdate”                                               |
| fightStatus      | string  | The fight status, in this case, Round Finished                                            |
| roundNum         | integer | The round that has finished                                                               |
| roundTime        | string  | The time in which the round finished. “5:00” is the start and “0:00” the end of the round |
| seqNum           | integer | The sequence number of the event                                                          |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. The round stats will only appear when that particular round starts.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### **Sample Response**

```
{
  "eventElementType": "FightStatusUpdate",
  "fightStatus": "RoundFinished",
  "roundNum": 2,
  "roundTime": "0:00",
  "seqNum": 14,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      },
      "red": {
        "knockdown": 0,
        "reversal": 1,
        "submissionAttempt": 0,
        "takedownAttempt": 3,
        "takedownLanded": 1
      }
    },
    "round": {
      "1": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 1,
          "submissionAttempt": 0,
          "takedownAttempt": 1,
          "takedownLanded": 0
        }
      },
      "2": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 2,
          "takedownLanded": 1
        }
      }
    }
  },
  "timestamp": "2024-11-17T01:23:31.683070Z"
}
```

## Round Paused

### **Round Paused Object**

| Field Name       | Type    | Description                                                                               |
| ---------------- | ------- | ----------------------------------------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                                                |
| eventElementType | string  | The event, in this case “FightStatusUpdate”                                               |
| fightStatus      | string  | The fight status, in this case, Round Paused                                              |
| roundNum         | integer | the round number of the round that was paused                                             |
| roundTime        | string  | The time in which the round finished. “5:00” is the start and “0:00” the end of the round |
| seqNum           | integer | The sequence number of the event                                                          |

### **Sample Response**

```
{
	"timestamp": "2024-11-17T07:51:44.642Z",
	"eventElementType": "FightStatusUpdate",
	"seqNum": 2,
        "roundNum": 1,
        "roundTime": "1:23",
	"fightStatus": "RoundPaused"
}Copy
```

## **Round Unpaused**

### **Round Unpaused Object**

| Field Name       | Type    | Description                                                                               |
| ---------------- | ------- | ----------------------------------------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                                                |
| eventElementType | string  | The event, in this case “FightStatusUpdate”                                               |
| fightStatus      | string  | The fight status, in this case, Round Unpaused                                            |
| roundNum         | integer | The round number of the round that is unpaused                                            |
| roundTime        | string  | The time in which the round finished. “5:00” is the start and “0:00” the end of the round |
| seqNum           | integer | The sequence number of the event                                                          |

### **Sample Response**

```
{
	"timestamp": "2024-11-17T07:51:44.642Z",
	"eventElementType": "FightStatusUpdate",
	"seqNum": 2,
        "roundNum": 1,
        "roundTime": "2:20",
	"fightStatus": "RoundUnpaused"
}Copy
```

## Pause Reason

### **Pause Reason Object**

| Field Name       | Type    | Description                                                                               |
| ---------------- | ------- | ----------------------------------------------------------------------------------------- |
| timestamp        | date    | The timestamp of the event                                                                |
| eventElementType | string  | The event, in this case “FightStatusUpdate”                                               |
| fightStatus      | string  | The fight status, in this case, Pause Reason                                              |
| pauseReason      | string  | The reason for the round pause, possible values; LowBlow, EyePoke, Doctor, Generic        |
| fighter          | string  | blue/red – the fighter who caused the round to be paused                                  |
| seqNum           | integer | The sequence number of the event                                                          |
| roundNum         | integer | The round number in which the pause happened                                              |
| roundTime        | string  | The time in which the round finished. “5:00” is the start and “0:00” the end of the round |

### **Sample Response**

```
{
	"timestamp": "2024-11-17T07:51:44.642Z",
	"eventElementType": "FightStatusUpdate",
	"seqNum": 2,
        "roundNum": 1,
        "roundTime": "3:23",
	"fightStatus": "PauseReason",
	"pauseReason": "LowBlow",
	"fighter": "blue"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-media/fight-details-scenarios/clock-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
